| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::StatusProgressBar Class Reference
Inheritance diagram for Digikam::StatusProgressBar:

## Public Types
enum | StatusProgressBarMode { TextMode = 0 , ProgressBarMode , CancelProgressBarMode }

## Public Slots
void | setProgressText (const QString &text)
void | setProgressValue (int v)
void | setText (const QString &text)

## Signals
void | signalCancelButtonPressed ()

## Public Member Functions
| StatusProgressBar (QWidget *const parent=nullptr)
int | progressTotalSteps () const
int | progressValue () const
void | setAlignment (Qt::Alignment a)
void | setNotificationTitle (const QString &title, const QIcon &icon)
void | setNotify (bool b)
void | setProgressBarMode (int mode, const QString &text=QString())
void | setProgressTotalSteps (int v)
QString | text () const